Bug 1143063 - pesign fails to build with --disable-debuginfo
pesign fails to build with --disable-debuginfo
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
Current
Other openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: Gary Ching-Pang Lin
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-26 15:24 UTC by Bernhard Wiedemann
Modified: 2019-07-31 14:12 UTC (History)
1 user (show)

See Also:
Found By: Development
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Wiedemann 2019-07-26 15:24:56 UTC
While working on reproducible builds for openSUSE, I found that
the Factory pesign package fails to build with --disable-debuginfo

Steps to reproduce:
osc co openSUSE:Factory/pesign && cd $_
osc build --clean --noservice --disable-debuginfo


Actual results:
lto1: error: variable tracking requested, but useless unless producing debug info [-Werror]
lto1: all warnings being treated as errors
Comment 1 Martin Liška 2019-07-29 07:26:15 UTC
The error looks correct to me. The package uses -Werror and -fvar-tracking and so that one can expect the error.
Comment 2 Gary Ching-Pang Lin 2019-07-31 03:41:42 UTC
https://build.opensuse.org/request/show/719976

I added a patch to remove var-tracking from the default CFLAGS. Per gcc manual, it's enabled by default with "-g" so it seems not necessary to specify the flag.
Comment 3 Martin Liška 2019-07-31 07:26:20 UTC
(In reply to Gary Ching-Pang Lin from comment #2)
> https://build.opensuse.org/request/show/719976
> 
> I added a patch to remove var-tracking from the default CFLAGS. Per gcc
> manual, it's enabled by default with "-g" so it seems not necessary to
> specify the flag.

I like the patch, thanks for it.
Comment 4 Bernhard Wiedemann 2019-07-31 14:12:50 UTC
Let's count it as fixed then, as it will eventually make its way into Factory.